package com.qqchen.deploy.backend.workflow.enums;

import lombok.Getter;

/**
 * 表单数据状态枚举
 *
 * @author qqchen
 * @date 2025-10-24
 */
@Getter
public enum FormDataStatusEnums {

    DRAFT("DRAFT", "草稿"),
    SUBMITTED("SUBMITTED", "已提交"),
    COMPLETED("COMPLETED", "已完成"),
    REJECTED("REJECTED", "已拒绝");

    private final String code;

    private final String description;

    FormDataStatusEnums(String code, String description) {
        this.code = code;
        this.description = description;
    }

}

